com.holonplatform.vaadin.spring.utils

## Class AbstractVaadinSpringTest

- java.lang.Object
- - com.holonplatform.vaadin.internal.test.AbstractVaadinTest
  - - com.holonplatform.vaadin.spring.utils.AbstractVaadinSpringTest

-     @ExtendWith(value=org.springframework.test.context.junit.jupiter.SpringExtension.class)
       @ContextConfiguration
       @WebAppConfiguration
       @DirtiesContext
      public abstract class AbstractVaadinSpringTest
      extends com.holonplatform.vaadin.internal.test.AbstractVaadinTest

  Abstract JUnit test class using Spring to enable a web environment to test Vaadin application elements with Spring support.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractVaadinSpringTest.Config`
    `static class` | `AbstractVaadinSpringTest.TestSingletonBeanStoreRetrievalStrategy`
    `static class` | `AbstractVaadinSpringTest.TestSpringVaadinServletService`
    `static class` | `AbstractVaadinSpringTest.TestVaadinSpringSession`

  - ### Field Summary

    - ### Fields inherited from class com.holonplatform.vaadin.internal.test.AbstractVaadinTest

      `TEST_SESSION_ID, TEST_UIID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractVaadinSpringTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setup()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractVaadinSpringTest

          public AbstractVaadinSpringTest()

  - ### Method Detail

    - #### setup

          @BeforeEach
          public void setup()
                                  throws Exception

      Overrides:
        `setup` in class `com.holonplatform.vaadin.internal.test.AbstractVaadinTest`
      Throws:
        `Exception`

Copyright © 2019 The Holon Platform. All rights reserved.